Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.event.process
Interface ProcessEventListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  DefaultProcessEventListener

    public interface ProcessEventListener

extends EventListener

Method Summary
`void` | `afterNodeLeft(ProcessNodeLeftEvent event)`
`void` | `afterNodeTriggered(ProcessNodeTriggeredEvent event)`
`void` | `afterProcessCompleted(ProcessCompletedEvent event)`
`void` | `afterProcessStarted(ProcessStartedEvent event)`
`void` | `afterVariableChanged(ProcessVariableChangedEvent event)`
`void` | `beforeNodeLeft(ProcessNodeLeftEvent event)`
`void` | `beforeNodeTriggered(ProcessNodeTriggeredEvent event)`
`void` | `beforeProcessCompleted(ProcessCompletedEvent event)`
`void` | `beforeProcessStarted(ProcessStartedEvent event)`
`void` | `beforeVariableChanged(ProcessVariableChangedEvent event)`

Method Detail

### beforeProcessStarted

    void beforeProcessStarted(ProcessStartedEvent event)

### afterProcessStarted

    void afterProcessStarted(ProcessStartedEvent event)

### beforeProcessCompleted

    void beforeProcessCompleted(ProcessCompletedEvent event)

### afterProcessCompleted

    void afterProcessCompleted(ProcessCompletedEvent event)

### beforeNodeTriggered

    void beforeNodeTriggered(ProcessNodeTriggeredEvent event)

### afterNodeTriggered

    void afterNodeTriggered(ProcessNodeTriggeredEvent event)

### beforeNodeLeft

    void beforeNodeLeft(ProcessNodeLeftEvent event)

### afterNodeLeft

    void afterNodeLeft(ProcessNodeLeftEvent event)

### beforeVariableChanged

    void beforeVariableChanged(ProcessVariableChangedEvent event)

### afterVariableChanged

    void afterVariableChanged(ProcessVariableChangedEvent event)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss Inc.. All Rights Reserved.